WordPress User Photo plugin “user-photo.php” tetszőleges fájl feltöltés sérülékenység

CH azonosító

CH-4402

Angol cím

WordPress User Photo Plugin "user-photo.php" Arbitrary File Upload Vulnerability

Felfedezés dátuma

2011.02.17.

Súlyosság

Közepes

Érintett rendszerek

User Photo plugin
WordPress

Érintett verziók

WordPress User Photo plugin 0.x

Összefoglaló

A WordPress User Photo bővítményének olyan sérülékenységét jelentették, amelyet a rosszindulatú felhasználók kihasználhatnak a sérülékeny rendszer feltörésére.

Leírás

A sérülékenységet a wp-content/plugins/user-photo/user-photo.php szkript hibája okozza, amely nem megfelelő módon ellenőrzi a feltöltött fájl típusokat. Ezt kihasználva pl. tetszőleges PHP kódot lehet futtatni egy speciálisan megszerkesztett PHP fájl feltöltésével.

A sérülékenységet a 0.9.4. verzióban igazolták. Korábbi verziók is érintettek lehetnek.

Megoldás

Frissítsen a legújabb verzióra